# -*- coding: iso8859-1 -*-
"""
   default configuration
"""
import os

# BEGIN For packagers: if you want to move the img directory relative
# to the py files, you have to set resourceDir to an absolute
# path. Change resourceDir to the absolute path that contains the dir
# "img".
resourceDir = os.path.normpath(os.getcwd() + "/..") + '/'
print "resourceDir = " + resourceDir
# END

#BEGIN for packagers: if you move parser.py in a different this as
#one-finger.py, update this path
parser_file_dir = os.getcwd()
print "parser_file_dir = " + parser_file_dir
# END

imgDir = resourceDir + "img/"
print "imgDir" + imgDir

lang = 'en' # default
#lang = 'de' # for trying german i18n
#lang = 'it' # for trying italian i18n

# BEGIN don't change this
userHome = os.path.expanduser('~/')
dataDir = userHome + '.one-finger/'
# END


# BEGIN This string determines what happens when you click the
# "execute in terminal" button. the string is prepended to the
# command, and then a " &" is automatically appended. Change this if
# you don't like to use konsole.
string_to_execute_command_in_terminal = "konsole --noclose -e  "
# END


gFlashingTimeForList = 6
gFlashingTimeForButtons = 5
gFlashingTimeForExecuteButtons = 2
gFlashingTimeForText = 108
gFlashingTimeForHelpMessage = 55

gMaxItemsInRecentLocMenu = 20

gListBoxMarginOfFlashingVBox = 5
gListBoxMarginOfNonFlashingVBox = 1

gWrappingButton_DistanceOfTextFromBorder = 8
gSpaceAboveTextSeparator = 13
gSpaceBelowTextSeparator = 11
g_text_item_button_width = 40
gItemIconWt = 30
gMinItemHt = 28



