"""
   state saving / restoring functions
"""
import os, pickle

def createFileIfNotExisting(f):
    if not os.path.isfile(f):
        desc = file(f, 'w')
        desc.close()

def loadVariableFromFile(filename, default):
    createFileIfNotExisting(filename)
    f = file(filename, 'r')
    try:
        p =  pickle.load(f)
    except (EOFError,pickle.UnpicklingError):
        p = default
    f.close()
    return p

def dumpToFile(targetFile, var):
    f = file(targetFile, 'w')
    pickle.dump(var, f)
    f.close()

